//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef MyGun_h
#define MyGun_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4UnitsTable.hh"
#include "G4PhysicalConstants.hh"
#include "globals.hh"

class G4ParticleGun;
class G4ParticleDefinition;
class G4Event;
class MyGunMessenger;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class MyGun : public G4VUserPrimaryGeneratorAction
{
public:
  MyGun(G4double b = -30.*CLHEP::cm);    
  virtual ~MyGun();

  void GeneratePrimaries(G4Event*);
  void SetParticleName(G4String n) { particleName = n; }

private:
  G4ParticleGun*        particleGun;    // pointer to G4ParticleGun
  G4ParticleDefinition* particle;       // pointer to the particle definition
  MyGunMessenger*       gunMessenger;   // messenger of this class
  G4String              particleName;   // particle to simulate

  G4double beamStartingPosition;

};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif


