#ifndef MyGunReadingFile_h
#define MyGunReadingFile_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4UnitsTable.hh"
#include "G4PhysicalConstants.hh"
#include "globals.hh"

#include <fstream>

class G4Event;
class G4ParticleGun;
class G4ParticleDefinition;
class G4ParticleTable;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class MyGunReadingFile : public G4VUserPrimaryGeneratorAction
{
public:
  MyGunReadingFile(G4double beamStartingPosition = -30.*CLHEP::cm);    
  ~MyGunReadingFile();

  void GeneratePrimaries(G4Event*);

private:

  G4ParticleGun* particleGun;
  G4ParticleDefinition* particle;
  G4ParticleTable* particleTable;

  std::ifstream* file;

};

#endif


