#include "AGeantinoPhysicsList.hh"

#include "G4LossTableManager.hh"

#include "G4BosonConstructor.hh"
#include "G4LeptonConstructor.hh"
#include "G4MesonConstructor.hh"
#include "G4BosonConstructor.hh"
#include "G4BaryonConstructor.hh"
#include "G4IonConstructor.hh"
#include "G4ShortLivedConstructor.hh"


AGeantinoPhysicsList::AGeantinoPhysicsList()
{
 G4LossTableManager::Instance();
 defaultCutValue = 1.0*CLHEP::mm;

 G4cout << G4endl << " ------ INFO ------ You are working with a Geantino PhysicsList (only transportation)" << G4endl;
}


AGeantinoPhysicsList::~AGeantinoPhysicsList()
{}


void AGeantinoPhysicsList::ConstructParticle()
{
  // define all particles
  G4cout << G4endl << " ------ INFO ------ DEFINING PARTICLES:" << G4endl;
  G4BosonConstructor  pBosonConstructor;
  pBosonConstructor.ConstructParticle();
  G4cout << "DEFINED: Bosons" << G4endl;

  G4LeptonConstructor pLeptonConstructor;
  pLeptonConstructor.ConstructParticle();
  G4cout << "DEFINED: Leptons" << G4endl;

  G4MesonConstructor pMesonConstructor;
  pMesonConstructor.ConstructParticle();
  G4cout << "DEFINED: Mesons" << G4endl;
  
  G4BaryonConstructor pBaryonConstructor;
  pBaryonConstructor.ConstructParticle();
  G4cout << "DEFINED: Baryons" << G4endl;
  
  G4IonConstructor pIonConstructor;
  pIonConstructor.ConstructParticle();
  G4cout << "DEFINED: Ions" << G4endl;

  G4ShortLivedConstructor pShortLivedConstructor;
  pShortLivedConstructor.ConstructParticle();  
  G4cout << "DEFINED: Short lived particles" << G4endl;

  G4cout << " ------ INFO ------ PARTICLES DEFINITION FINISHED" << G4endl;
}


void AGeantinoPhysicsList::ConstructProcess()
{
  /* ###############################################
     ############### TRANSPORTATION ################
     ############################################### */

  AddTransportation();

}

void AGeantinoPhysicsList::SetCuts()
{
  // set global cuts
  SetCutsWithDefault();
}
