//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#include "MyGunMessenger.hh"

#include "MyGun.hh"
#include "G4UIdirectory.hh"
#include "G4UIcmdWithAString.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

MyGunMessenger::MyGunMessenger(MyGun* gun) : myGun(gun)
{
  gunDir = new G4UIdirectory("/LIO/gun/");
  gunDir->SetGuidance("gun control");
   
  particleNameCmd = new G4UIcmdWithAString("/LIO/gun/SetParticle",this);
  particleNameCmd->SetGuidance("Select the particle to simulate");
  particleNameCmd->SetParameterName("particleName",true);
  particleNameCmd->SetCandidates("proton neutron gamma");
  particleNameCmd->AvailableForStates(G4State_PreInit, G4State_Idle);
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

MyGunMessenger::~MyGunMessenger()
{
  delete particleNameCmd;
  delete gunDir;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void MyGunMessenger::SetNewValue(G4UIcommand* command, G4String newValue)
{ 
  if( command == particleNameCmd )
   { myGun->SetParticleName(newValue); }
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

